
;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = 
c =
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1


;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;-| Hold Button |----------------------------------------------------------
; Please define Anim 74140108 in your AIR file if AND ONLY IF you place these
; 7 Hold Button commands immediately after the 11 Single Button and Hold Dir
; commands at the very top of your CMD list, as demonstrated here.
; In this version of the AI code, these commands are only used by the XOR
; method, and thus are optional.  But there remains a possibility that a
; future version of the helper method might be helped by having these
; commands placed here, and Anim 74140108 would then be used to indicate
; that a partner character has a compatible CMD.

[Command]
name = "holda"
command = /a
time = 1

[Command]
name = "holdb"
command = /b
time = 1

[Command]
name = "holdc"
command = /c
time = 1

[Command]
name = "holdx"
command = /x
time = 1

[Command]
name = "holdy"
command = /y
time = 1

[Command]
name = "holdz"
command = /z
time = 1

[Command]
name = "holdstart"
command = /s
time = 1

[Command]
name = "recovery";Required (do not remove)
command = a
time = 1

;--- None of your own command definitions should be above this line. ---

;-| CPU |--------------------------------------------------------------
; Note that if you make any changes to the basic one-button or recovery
; commands, you'll need to make the same changes to their matching commands here
; and/or in the XOR VarSet controller.  That includes things like, for example:
;  * changing the recovery command to use a different combination of buttons.
;  * renaming the b button command as "d", or the start button command as "s".
;  * switching the button names around, e.g. so button y triggers "a" and button a triggers "y".
;  * having more than one way to trigger the same command name.
; If you understand how the XOR method works, the proper changes should be obvious.
; If you don't understand it, then simply disable the lines in the XOR VarSet
; controller that correspond to the commands you've altered.

[Command]
name = "a2"
command = a
time = 1

[Command]
name = "b2"
command = b
time = 1

[Command]
name = "c2"
command = c
time = 1

[Command]
name = "x2"
command = x
time = 1

[Command]
name = "y2"
command = y
time = 1

[Command]
name = "z2"
command = z
time = 1

[Command]
name = "start2"
command = s
time = 1

[Command]
name = "holdfwd2"
command = /$F
time = 1

[Command]
name = "holdback2"
command = /$B
time = 1

[Command]
name = "holdup2"
command = /$U
time = 1

[Command]
name = "holddown2"
command = /$D
time = 1

[Command]
name = "holda2"
command = /a
time = 1

[Command]
name = "holdb2"
command = /b
time = 1

[Command]
name = "holdc2"
command = /c
time = 1

[Command]
name = "holdx2"
command = /x
time = 1

[Command]
name = "holdy2"
command = /y
time = 1

[Command]
name = "holdz2"
command = /z
time = 1

[Command]
name = "holdstart2"
command = /s
time = 1

[Command]
name = "recovery2"
command = a
time = 1

;-| Buffered Commands | ---------------------------------------------------
[Command]
name = "xbuf"
command = x
time = 1
buffer.time = 3

[Command]
name = "ybuf"
command = y
time = 1
buffer.time = 5

[Command]
name = "zbuf"
command = z
time = 1
buffer.time = 7

;-| Super Motions |--------------------------------------------------------
[Command]
name = "Four Emperors/Wise Hermit"
command = ~D, DB, B, x+y
time = 30
buffer.time = 5

[Command]
name = "Kirin Jacket"
command = ~F, D, DF, x+y
time = 30
buffer.time = 5

[Command]
name = "UV Cannon"
command = ~D, DF, F, D, DF, F, D, DF, F, x+y
time = 50
buffer.time = 10

;-| Special Motions |------------------------------------------------------
[Command]
name = "White Tiger X"
command = ~D, DB, B, x
time = 8
buffer.time = 5

[Command]
name = "White Tiger Y"
command = ~D, DB, B, y
time = 8
buffer.time = 5

[Command]
name = "White Tiger Z"
command = ~D, DB, B, z
time = 8
buffer.time = 5

[Command]
name = "Blue Dragon X"
command = ~F, D, DF, x
time = 15
buffer.time = 5

[Command]
name = "Blue Dragon Y"
command = ~F, D, DF, y
time = 15
buffer.time = 5

[Command]
name = "Blue Dragon Z"
command = ~F, D, DF, z
time = 15
buffer.time = 5

[Command]
name = "Rock Turtle X"
command = ~D, DF, F, x
time = 10
buffer.time = 10

[Command]
name = "Rock Turtle Y"
command = ~D, DF, F, y
time = 10
buffer.time = 10

[Command]
name = "Rock Turtle Z"
command = ~D, DF, F, z
time = 10
buffer.time = 10

[Command]
name = "Phoenix"
command = ~DB, D, DF, F, x
time = 15
buffer.time = 5

[Command]
name = "Phoenix"
command = ~DB, D, DF, F, y
time = 15
buffer.time = 5

[Command]
name = "Phoenix"
command = ~DB, D, DF, F, z
time = 15
buffer.time = 5

[Command]
name = "Backflip"
command = ~B, D, DB, x
time = 15
buffer.time = 5

[Command]
name = "Backflip"
command = ~B, D, DB, y
time = 15
buffer.time = 5

[Command]
name = "Backflip"
command = ~B, D, DB, z
time = 15
buffer.time = 5

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

[Command]
name = "FIAD"
command = ~F, F
time = 3

[Command]
name = "BIAD"
command = ~B, B
time = 3

[Command]
name = "SJ"
command = ~$D, $U
time = 5

[Command]
name = "Jump"
command = $U
time = 1

[Command]
name = "Release"
command = ~$U
time = 1


;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "Throw"
command = a+x
time = 2

[Command]
name = "Burst"
command = x+y+z
time = 3

[Command]
name = "Blaze"
command = ~D, DF, F, x+y+z
time = 10
buffer.time = 5

;-| Dir + Button |---------------------------------------------------------

;-| Arcana |---------------------------------------------------------
[Command]
name = "QCF_D"
command = ~D, DF, F, a
time = 15
buffer.time = 5

[Command]
name = "QCB_D"
command = ~D, DB, B, a
time = 15
buffer.time = 5

[Command]
name = "HCF_D"
command = ~B, DB, D, DF, F, a
time = 15
buffer.time = 5

[Command]
name = "HCB_D"
command = ~F, DF, D, DB, B, a
time = 15
buffer.time = 5

[Command]
name = "DP_D"
command = ~F, D, DF, a
time = 15
buffer.time = 5

[Command]
name = "RDP_D"
command = ~B, D, DB, a
time = 15
buffer.time = 5

[Command]
name = "360_D"
command = ~F, D, B, U, a
time = 30
buffer.time = 10

[Command]
name = "360_D"
command = ~D, B, U, F, a
time = 30
buffer.time = 10

[Command]
name = "360_D"
command = ~B, U, F, D, a
time = 30
buffer.time = 10

[Command]
name = "360_D"
command = ~U, F, D, B, a
time = 30
buffer.time = 10

[Command]
name = "QCBx2_D"
command = ~D, DB, B, D, DB, B, a
time = 20
buffer.time = 5


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]
;===========================================================================
;Combo System
[State -1, Reset]
type = null
triggerall = (movetype = I && stateno = [0,2999]) || ctrl
trigger1 = var(8):=0||e ;Jump Cancellable
trigger1 = var(9):=0||e ;Special Cancellable
trigger1 = var(7):=0||e ;Super Cancellable

;===========================================================================
[State -1, Blaze]
type = Changestate
value = 4100
triggerall = command = "Blaze"
triggerall = var(4) = 1
triggerall = statetype != A
trigger1 = ctrl

;===========================================================================
[State -1, Burst Activation]
type = Changestate
value = 70
triggerall = command = "Burst"
triggerall = var(4)=2
triggerall = !gethitvar(isbound)
triggerall = stateno != 70
triggerall = movetype != A
triggerall = alive
triggerall = roundstate = 2
trigger1 = movetype = H
trigger1 = var(13)!=2
trigger1 = enemy,movecontact
trigger2 = ctrl
trigger3 = canrecover
trigger4 = movetype = H
trigger4 = !(enemy,movecontact)
trigger4 = enemy, hitdefattr = SCA, NA, NP, NT, SA, SP, ST
trigger5 = movetype = H
trigger5 = enemy, movetype != A
ignorehitpause = 1

;===========================================================================
;Four Emperors
[State -1, Four Emperors]
type = ChangeState
value = 4050
triggerall = command = "Four Emperors/Wise Hermit"
triggerall = statetype != A
triggerall = power >= 1000
trigger1 = ctrl
trigger2 = var(7)
trigger2 = var(2)

;===========================================================================
;Wise Hermit
[State -1, Wise Hermit]
type = ChangeState
value = 4100
triggerall = command = "Four Emperors/Wise Hermit"
triggerall = statetype = A
triggerall = power >= 1000
trigger1 = ctrl
trigger2 = var(7)
trigger2 = var(2)

;===========================================================================
;Kirin Jacket
[State -1, Kirin Jacket]
type = ChangeState
value = 4000
triggerall = command = "Kirin Jacket"
triggerall = statetype != A
triggerall = power >= 1000
trigger1 = ctrl
trigger2 = var(7)
trigger2 = var(2)

;===========================================================================
;Throw2
[State -1, Throw]
type = ChangeState
value = 850
triggerall = command = "Throw"
triggerall = command = "holdfwd"||command = "holdback"
triggerall = statetype = S
trigger1 = ctrl

;===========================================================================
;AirThrow
[State -1, Throw]
type = ChangeState
value = 860
triggerall = command = "Throw"
triggerall = statetype = A
trigger1 = ctrl

;===========================================================================
;Throw
[State -1, Throw]
type = ChangeState
value = 800
triggerall = command = "Throw"
triggerall = statetype = S
trigger1 = ctrl

;===========================================================================
;Phoenix
[State -1, Blue Dragon]
type = ChangeState
value = 3200
triggerall = command = "Phoenix"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = var(9)
trigger2 = var(2)

;===========================================================================
;Blue Dragon
[State -1, Blue Dragon]
type = ChangeState
value = 3150
triggerall = command = "Blue Dragon X" || command = "Blue Dragon Y" || command = "Blue Dragon Z"
triggerall = statetype != A
trigger1 = ctrl
trigger1 = var(10) := ifelse(command = "Blue Dragon X",1,ifelse(command = "Blue Dragon Y",2,3))
trigger2 = var(9)
trigger2 = var(2)
trigger2 = var(10) := ifelse(command = "Blue Dragon X",1,ifelse(command = "Blue Dragon Y",2,3))

;===========================================================================
;Rock Turtle
[State -1, Rock Turtle]
type = ChangeState
value = 3000
triggerall = command = "Rock Turtle X" || command = "Rock Turtle Y" || command = "Rock Turtle Z"
triggerall = statetype != A
trigger1 = ctrl
trigger1 = var(10) := ifelse(command = "Rock Turtle X",1,ifelse(command = "Rock Turtle Y",2,4))
trigger2 = var(9)
trigger2 = var(2)
trigger2 = var(10) := ifelse(command = "Rock Turtle X",1,ifelse(command = "Rock Turtle Y",2,4))

;===========================================================================
;Backflip
[State -1, Backflip]
type = ChangeState
value = 3050
triggerall = command = "Backflip"
triggerall = stateno != 3050
triggerall = statetype != A
trigger1 = ctrl
trigger2 = var(9)
trigger2 = var(2)

;===========================================================================
;White Tiger
[State -1, White Tiger]
type = ChangeState
value = 3100
triggerall = command = "White Tiger X" || command = "White Tiger Y" || command = "White Tiger Z"
triggerall = statetype != A
trigger1 = ctrl
trigger1 = var(10) := ifelse(command = "White Tiger X",1,ifelse(command = "White Tiger Y",2,4))
trigger2 = var(9)
trigger2 = var(2)
trigger2 = var(10) := ifelse(command = "White Tiger X",1,ifelse(command = "White Tiger Y",2,4))

;===========================================================================
;Low Kick
[State -1, Low Kick]
type = ChangeState
value = 230
triggerall = command = "x" || command = "xbuf"
triggerall = command = "holdback"
triggerall = command != "holddown"
trigger1 = command = "x"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = command = "xbuf"
trigger2 = stateno = 200
trigger2 = var(2)
trigger3 = command = "xbuf"
trigger3 = stateno = 400
trigger3 = var(2)

;===========================================================================
;Chop
[State -1, Chop]
type = ChangeState
value = 200
triggerall = command = "x" || command = "xbuf"
triggerall = command != "holddown"
trigger1 = command = "x"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = command = "xbuf"
trigger2 = stateno = 200
trigger2 = var(2)
trigger3 = command = "xbuf"
trigger3 = stateno = 400
trigger3 = var(2)

;===========================================================================
;Axe Kick
[State -1, Axe Kick]
type = ChangeState
value = 240
triggerall = command = "y" || command = "ybuf"
triggerall = command = "holdfwd"
triggerall = command != "holddown"
trigger1 = command = "y"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = command = "ybuf"
trigger2 = stateno = [200,210]
trigger2 = var(2)
trigger3 = command = "ybuf"
trigger3 = stateno = 400
trigger3 = var(2)
trigger4 = command = "ybuf"
trigger4 = stateno = 230
trigger4 = var(2)

;---------------------------------------------------------------------------
;Double Palm
[State -1, Double Palm]
type = ChangeState
value = 210
triggerall = command = "y" || command = "ybuf"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = command = "ybuf"
trigger2 = stateno = 200
trigger2 = var(2)
trigger3 = command = "ybuf"
trigger3 = stateno = 230
trigger3 = var(2)
trigger4 = command = "ybuf"
trigger4 = stateno = 400
trigger4 = var(2)

;---------------------------------------------------------------------------
;Charging Back Press
[State -1, Charging Back Press]
type = changestate
value = 250
triggerall = command = "z" || command = "zbuf"
triggerall = command != "holddown" && command = "holdfwd"
trigger1 = command = "z"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = command = "zbuf"
trigger2 = stateno = [200,230]
trigger2 = var(2)
trigger3 = command = "zbuf"
trigger3 = stateno = [400,410]
trigger3 = var(2)

;---------------------------------------------------------------------------
;Forward Thrust
[State -1, Forward Thrust]
type = ChangeState
value = 220
triggerall = command = "z" || command = "zbuf"
triggerall = command != "holddown" && command != "holdfwd"
trigger1 = command = "z"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = command = "zbuf"
trigger2 = stateno = [200,210]
trigger2 = var(2)
trigger3 = command = "zbuf"
trigger3 = stateno = 230
trigger3 = var(2)
trigger4 = command = "zbuf"
trigger4 = stateno = [400,410]
trigger4 = var(2)

;---------------------------------------------------------------------------
;Crouching Chop
[State -1, Crouching Chop]
type = ChangeState
value = 400
triggerall = command = "x" || command = "xbuf"
triggerall = command = "holddown"
trigger1 = command = "x"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = command = "xbuf"
trigger2 = stateno = 200
trigger2 = var(2)
trigger3 = command = "xbuf"
trigger3 = stateno = 400
trigger3 = var(2)

;---------------------------------------------------------------------------
;Crouching Tiger
[State -1, Crouching Tiger]
type = ChangeState
value = 410
triggerall = command = "y" || command = "ybuf"
triggerall = command = "holddown"
trigger1 = command = "y"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = command = "ybuf"
trigger2 = stateno = [200,210]
trigger2 = var(2)
trigger3 = command = "ybuf"
trigger3 = stateno = 400
trigger3 = var(2)
trigger4 = command = "ybuf"
trigger4 = stateno = 230
trigger4 = var(2)

;---------------------------------------------------------------------------
;Charge Upper
[State -1, Charge Upper]
type = changestate
value = 450
triggerall = command = "z" || command = "zbuf"
triggerall = command = "holddown" && command = "holdfwd"
trigger1 = command = "z"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = command = "zbuf"
trigger2 = stateno = [200,240]
trigger2 = var(2)
trigger3 = command = "zbuf"
trigger3 = stateno = [400,410]
trigger3 = var(2)

;---------------------------------------------------------------------------
;Crouching Slice
[State -1, Crouching Slice]
type = ChangeState
value = 420
triggerall = command = "z" || command = "zbuf"
triggerall = command = "holddown"
triggerall = command != "holdfwd"
trigger1 = command = "z"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = command = "zbuf"
trigger2 = stateno = [200,210]
trigger2 = var(2)
trigger3 = command = "zbuf"
trigger3 = stateno = 230
trigger3 = var(2)
trigger4 = command = "zbuf"
trigger4 = stateno = [400,410]
trigger4 = var(2)

;---------------------------------------------------------------------------
;Elbow
[State -1, Elbow]
type = ChangeState
value = 600
triggerall = command = "x" || command = "xbuf"
triggerall = statetype = A
trigger1 = command = "x"
trigger1 = ctrl

;---------------------------------------------------------------------------
;Stretch Kick
[State -1, Stretch Kick]
type = ChangeState
value = 610
triggerall = command = "y" || command = "ybuf"
triggerall = statetype = A
trigger1 = command = "y"
trigger1 = ctrl
trigger2 = command = "ybuf"
trigger2 = var(2)
trigger2 = stateno = 600

;---------------------------------------------------------------------------
;Flying Kick
[State -1, Flying Kick]
type = ChangeState
value = 620
triggerall = command = "z" || command = "zbuf"
triggerall = statetype = A
trigger1 = command = "z"
trigger1 = ctrl
trigger2 = command = "zbuf"
trigger2 = var(2)
trigger2 = stateno = [600,610]

;===========================================================================
;Airdash
[State -1, Airdash]
type = ChangeState
value = 60
triggerall = command = "FF" || command = "BB"
triggerall = !var(15)
triggerall = statetype = A
trigger1 = ctrl
trigger2 = var(2)
trigger2 = var(8)

;===========================================================================
;HopFwd
[State -1, HopFwd]
type = ChangeState
value = 100
triggerall = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;===========================================================================
;HopBack
[State -1, HopBack]
type = ChangeState
value = 105
triggerall = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;===========================================================================
;Superjump
[State -1, Superjump]
type = Changestate
value = 65
triggerall = command = "SJ"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = var(2)
trigger2 = var(8)
trigger3 = stateno = 3050

;===========================================================================
;Jump Cancel
[State -1, Jump Cancel]
type = Changestate
value = ifelse(statetype!=A, 40,45)
triggerall = command = "Jump"
triggerall = var(6) < 2
trigger1 = var(2) ; Movecontact
trigger1 = var(8)
trigger2 = statetype = A
trigger2 = ctrl
trigger2 = pos Y <= -35
trigger2 = var(5) = 0

[State -1, Airjump Restrictor]
type = null
trigger1 = command = "Jump"
trigger1 = var(5):=1

[State -1, Airjump Restrictor]
type = null
trigger1 = command = "Release"
trigger1 = command != "holdup"
trigger1 = var(5):=0

[State -1, Display]
type = DisplayToClipboard
trigger1 = 1
text = "Holdup: %d\tBurst: %d\tProrate1: %f\tProrate2: %f\tAttackMul: %f"
params = var(5),var(4),fvar(3),fvar(4),fvar(5)